Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0027379
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminoralways2014-08-19 20:372014-09-24 08:47
ReporterjecharriView Statuspublic 
Assigned Toshankarb 
PriorityhighResolutionfixedFixed in Version3.0PR14Q4
StatusclosedFix in branchFixed in SCM revision672f90d0eb6a
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionpiSCM revision 
Review Assigned Toalostale
Web browserGoogle Chrome
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0027379: Module management window should show more information in openbravo.log file at minimum

DescriptionModule management window should show more information in openbravo.log file at minimum
Steps To Reproduce-try to install a module when you have database cahnges

You will receive the "changes have been found" popup but you don't know if there are structural changes or changes in tables with AD_ prefix like AD_table, AD_window, AD_field.

It should display more information about what has changed
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 00273783.0PR15Q1 closedAugustoMauch Openbravo detects that there are database changes when it should not due to session configuration in ORACLE 

-  Notes
(0069529)
shuehner (administrator)
2014-08-19 20:42

Note at least log into openbravo.log i.e. warn level if ad_db_modified or the check against AD dataset data produces the local changes info.

When changing that please also verify that the log.warn statement inside obdata.java (from dbsm-main dbsourcemanager sourcecode) does go into openbravo.log (it should as we pass logger instance in ModuleManagement.java to the hasChanged call but please verify)
(0070148)
hgbot (developer)
2014-09-16 15:34

Repository: erp/devel/pi
Changeset: b575a744497a433447ce5384c7ee9312c1fc71ca
Author: Shankar Balachandran <shankar.balachandran <at> openbravo.com>
Date: Tue Sep 16 19:03:27 2014 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/b575a744497a433447ce5384c7ee9312c1fc71ca [^]

Fixes issue 27379: Modified tables are displayed in build popup.

When installing new modules in module management, if there are local changes,
the modified tables are displayed.

---
M src-db/database/lib/dbsourcemanager.jar
M src-db/database/sourcedata/AD_MESSAGE.xml
M src/org/openbravo/erpCommon/ad_forms/ModuleManagement.java
---
(0070162)
hudsonbot (developer)
2014-09-17 01:50

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/8faa150d42bc [^]
Maturity status: Test
(0070224)
hgbot (developer)
2014-09-22 10:17

Repository: erp/devel/dbsm-main
Changeset: 672f90d0eb6a9007ee57059bcdaa489478bf85b8
Author: Shankar Balachandran <shankar.balachandran <at> openbravo.com>
Date: Tue Sep 16 18:09:08 2014 +0530
URL: http://code.openbravo.com/erp/devel/dbsm-main/rev/672f90d0eb6a9007ee57059bcdaa489478bf85b8 [^]

Fixes Issue 27379: Updated tables that are modified in the hasChanged method of OBDataset.

---
M src/org/openbravo/ddlutils/util/OBDataset.java
---
(0070298)
alostale (developer)
2014-09-24 08:47

code reviewed + tested

- Issue History
Date Modified Username Field Change
2014-08-19 20:37 jecharri New Issue
2014-08-19 20:37 jecharri Assigned To => AugustoMauch
2014-08-19 20:37 jecharri Web browser => Google Chrome
2014-08-19 20:37 jecharri Modules => Core
2014-08-19 20:37 jecharri Triggers an Emergency Pack => No
2014-08-19 20:37 jecharri Issue generated from 0027378
2014-08-19 20:37 jecharri Relationship added related to 0027378
2014-08-19 20:42 shuehner Note Added: 0069529
2014-08-19 20:42 shuehner Issue Monitored: shuehner
2014-08-22 11:09 AugustoMauch Web browser Google Chrome => Google Chrome
2014-08-22 11:09 AugustoMauch Steps to Reproduce Updated View Revisions
2014-09-15 08:17 shankarb Status new => scheduled
2014-09-15 08:17 shankarb fix_in_branch => pi
2014-09-15 08:19 shankarb Assigned To AugustoMauch => shankarb
2014-09-16 15:31 shankarb Review Assigned To => alostale
2014-09-16 15:31 shankarb Web browser Google Chrome => Google Chrome
2014-09-16 15:31 shankarb fix_in_branch pi =>
2014-09-16 15:32 shankarb Issue Monitored: alostale
2014-09-16 15:34 hgbot Checkin
2014-09-16 15:34 hgbot Note Added: 0070148
2014-09-16 15:34 hgbot Status scheduled => resolved
2014-09-16 15:34 hgbot Resolution open => fixed
2014-09-16 15:34 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/b575a744497a433447ce5384c7ee9312c1fc71ca [^]
2014-09-17 01:50 hudsonbot Checkin
2014-09-17 01:50 hudsonbot Note Added: 0070162
2014-09-22 10:17 hgbot Checkin
2014-09-22 10:17 hgbot Note Added: 0070224
2014-09-22 10:17 hgbot Fixed in SCM revision http://code.openbravo.com/erp/devel/pi/rev/b575a744497a433447ce5384c7ee9312c1fc71ca [^] => http://code.openbravo.com/erp/devel/dbsm-main/rev/672f90d0eb6a9007ee57059bcdaa489478bf85b8 [^]
2014-09-24 08:47 alostale Note Added: 0070298
2014-09-24 08:47 alostale Status resolved => closed
2014-09-24 08:47 alostale Fixed in Version => 3.0PR14Q4


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker